{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Expenses</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'home' %}">Home</a>
                        </li>
                        <li>
                            <a href="{% url 'create_receipt' %}">Add Receipt</a>
                        </li>
                        <li>
                            <a href="{% url 'accounts_list' %}">Accounts</a>
                        </li>
                        <li>
                            <a href="{% url 'create_account' %}">Add Account</a>
                        </li>
                        <li>
                            <a href="{% url 'categories_list' %}">Categories</a>
                        </li>
                        <li>
                            <a href="{% url 'create_category' %}">Add Category</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'signup' %}">Sign Up</a>
                        </li>
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            {% block content %}
            {% endblock content %}
        </main>
    </body>
</html>
